## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# FormatterToXercesDOM Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment. More...

Inheritance diagram for FormatterToXercesDOM:

[legend]
Collaboration diagram for FormatterToXercesDOM:

[legend]
List of all members.

## Public Member Functions

- FormatterToXercesDOM (DOMDocument_Type *doc, DOMDocumentFragmentType *docFrag, DOMElementType *currentElement, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct a FormatterToXercesDOM instance.
- FormatterToXercesDOM (DOMDocument_Type *doc, DOMElementType *currentElement, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct a FormatterToXercesDOM instance.
- virtual ~FormatterToXercesDOM ()
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void comment (const XMLCh *const data)
    Called when a Comment is to be constructed.
- virtual void cdata (const XMLCh *const ch, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
    Receive notification of a entityReference.
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()
- DOMDocument_Type * getDocument () const
- void setDocument (DOMDocument_Type *theDocument)
- DOMDocumentFragmentType * getDocumentFragment () const
- void setDocumentFragment (DOMDocumentFragmentType *theDocumentFragment)
- DOMElementType * getCurrentElement () const
- void setCurrentElement (DOMElementType *theElement)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment.

## Constructor & Destructor Documentation

FormatterToXercesDOM::FormatterToXercesDOM | ( | DOMDocument_Type * | doc,
|  | DOMDocumentFragmentType * | docFrag,
|  | DOMElementType * | currentElement,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

Construct a FormatterToXercesDOM instance.

it will add the DOM nodes to the document fragment.

Parameters:

  doc | document for nodes
  docFrag | document fragment for nodes
  currentElement | current element for nodes

FormatterToXercesDOM::FormatterToXercesDOM | ( | DOMDocument_Type * | doc,
|  | DOMElementType * | currentElement,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

Construct a FormatterToXercesDOM instance.

it will add the DOM nodes to the document.

Parameters:

  doc | document for nodes
  elem | current element for nodes

virtual FormatterToXercesDOM::~FormatterToXercesDOM | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void FormatterToXercesDOM::cdata | ( | const XMLCh *const | ch,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToXercesDOM::characters | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToXercesDOM::charactersRaw | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToXercesDOM::comment | ( | const XMLCh *const | data | ) | `[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Implements FormatterListener.

virtual void FormatterToXercesDOM::endDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToXercesDOM::endElement | ( | const XMLCh *const | name | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToXercesDOM::entityReference | ( | const XMLCh *const | name | ) | `[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Implements FormatterListener.

DOMElementType* FormatterToXercesDOM::getCurrentElement | ( |  | ) | const

DOMDocument_Type* FormatterToXercesDOM::getDocument | ( |  | ) | const

DOMDocumentFragmentType* FormatterToXercesDOM::getDocumentFragment | ( |  | ) | const

virtual void FormatterToXercesDOM::ignorableWhitespace | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToXercesDOM::processingInstruction | ( | const XMLCh *const | target,
|  | const XMLCh *const | data
| ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToXercesDOM::resetDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

void FormatterToXercesDOM::setCurrentElement | ( | DOMElementType * | theElement | ) |

void FormatterToXercesDOM::setDocument | ( | DOMDocument_Type * | theDocument | ) |

void FormatterToXercesDOM::setDocumentFragment | ( | DOMDocumentFragmentType * | theDocumentFragment | ) |

virtual void FormatterToXercesDOM::setDocumentLocator | ( | const LocatorType *const | locator | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToXercesDOM::startDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToXercesDOM::startElement | ( | const XMLCh *const | name,
|  | AttributeListType & | attrs
| ) | `[virtual]`

| Implements FormatterListener.

The documentation for this class was generated from the following file:

- FormatterToXercesDOM.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.